/*==================================COMMON STYLES================================== */

body {
  font-family: "Roboto", sans-serif;
  font-size: 16px;
  font-weight: 400;
  line-height: 1.5;
  letter-spacing: 0.32px;
  color: #434455;
}

h1 h2 h3 {
  color: #2e2f42;
}

a {
  text-decoration-line: none;
  font-style: #434455;
  font-style: normal;
}

a:hover,
a:focus {
  color: #404bbf;
}

li {
  list-style-type: none;
}
.second-header {
  font-size: 36px;
  font-weight: 700;
  line-height: 1.11;
  letter-spacing: 0.72px;
  text-transform: capitalize;
  text-align: center;
  color: #2e2f42;
  margin-bottom: 72px;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
  margin-top: 0;
  margin-bottom: 0;
}

ul {
  margin-top: 0;
  margin-bottom: 0;
  padding-left: 0;
}
.container {
  /* width: 1158px;
  margin: 0 auto;
  padding: 0 15px; */
}
img {
  display: block;
}
.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;

  white-space: nowrap;
  clip-path: inset(100%);
  clip: rect(0 0 0 0);
  overflow: hidden;
}

/*================================== /COMMON STYLES================================== */
/*==================================HEADER STYLES================================== */
.container {
  padding: 16px 16px;
  max-width: 320px;
  margin-left: auto;
  margin-right: auto;
}
header {
  border-bottom: 1px solid var(--CORNFLOWER, #e7e9fc);
}
.burger-wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: transparent;
  border: none;
  stroke: #2f2f37;
  line-height: none;
}
.address-styles {
  display: none;
}
.menu .menu-navigation-list {
  display: none;
}
.header-section {
  box-shadow: 0px 2px 1px rgba(46, 47, 66, 0.08),
    0px 1px 1px rgba(46, 47, 66, 0.16), 0px 1px 6px rgba(46, 47, 66, 0.08);
}
.container-header {
  display: flex;
  justify-content: space-between;
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  line-height: none;
  text-align: center;
}
.logo-header {
  color: #4d5ae5;
  font-family: Raleway, sans-serif;
  font-size: 18px;
  font-weight: 700;
  letter-spacing: 0.54px;
  text-transform: uppercase;
  transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1);
  line-height: none;
}
.studio-class {
  color: #2e2f42;
}
.backdrop {
  background-color: #ffffff;
  transform: translateX(100%);
  transition: transform 250ms linear;
  position: fixed;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  opacity: 0;
  z-index: 99999999;
  visibility: hidden;
}
.is-open {
  transform: translateX(0%);
  visibility: visible;
  opacity: 1;
}
.modal {
  width: 100%;
  padding: 0 24px 0 16px;
}

.close-mobile-menu-bttn {
  line-height: none;
  stroke: #2e2f42;
  background-color: #ffffff;
  border: 2px solid #e7e9fc;
  border-radius: 50%;
  position: absolute;
  width: 24px;
  height: 24px;
  top: 24px;
  right: 24px;
}
.close-bttn {
  display: flex;
  line-height: none;
  justify-content: center;
}
.backdrop-mobile-menu {
  margin-top: 72px;
  display: flex;
  flex-direction: column;
  gap: 40px;
  margin-bottom: 168px;
  color: #2e2f42;
  font-family: Roboto;
  font-size: 36px;
  font-weight: 700;
  line-height: 1.11;
  letter-spacing: 0.72px;
  text-transform: capitalize;
}
.social-links-modal-list {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 40px;
}

.social-links-modal-item {
  width: 40px;
  height: 40px;
}

.social-links-modal-item .icon {
  fill: #f4f4fd;
}
.social-links-modal-item .link {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  border-radius: 50%;
  background-color: #4d5ae5;
}
.menu-navigation {
  color: #2e2f42;
}
.active-page {
  color: #404bbf;
}
.contact-us-list-item {
  color: #434455;
  font-family: Roboto;
  font-size: 20px;
  font-weight: 500;
  line-height: 1.2;
  letter-spacing: 0.4px;
}
.address-styles-mobile-backdrop {
  margin-bottom: 48px;
}
.tel {
  color: #4d5ae5;
}
.contact-us-list {
  display: flex;
  flex-direction: column;
  gap: 24px;
}
.mail {
  color: #434455;
}
.main-header {
  width: 288px;
  height: 160px;
  color: #ffffff;
  text-align: center;
  font-family: Roboto;
  font-size: 36px;
  font-weight: 700;
  line-height: 1.11;
  letter-spacing: 0.72px;
  text-transform: capitalize;
  margin-bottom: 72px;
  margin-left: auto;
  margin-right: auto;
  padding: 0 59px;
}
.hero {
  background-color: #2e2f42;
  text-align: center;
  padding-top: 72px;
  padding-bottom: 72px;
  background-image: linear-gradient(
      to bottom,
      rgba(46, 47, 66, 0.7),
      rgba(46, 47, 66, 0.7)
    ),
    url(../images/hero/hero-pic-mob.jpg);
  background-size: cover;
  background-repeat: no repeat;
  min-width: 320px;
  background-repeat: no-repeat;
  background-position: center;
  margin-bottom: 96px;
  margin-left: auto;
  margin-right: auto;
}
@media screen and (min-resolution: 192dpi) {
  .hero {
    background-image: linear-gradient(
        to bottom,
        rgba(46, 47, 66, 0.7),
        rgba(46, 47, 66, 0.7)
      ),
      url(../images/hero/hero-pic@2x.jpg);
  }
}
.hero > .container {
  margin-top: 0;
  margin-bottom: 0;
  margin-left: auto;
  margin-right: auto;
}
.button-style {
  background-color: #4d5ae5;
  display: block;
  color: #ffffff;
  font-size: 16px;
  font-weight: 500;
  line-height: 1.5;
  letter-spacing: 0.64px;
  max-width: 169px;
  height: 56px;
  border: none;
  border-radius: 4px;
  margin: 0 auto;
}

.backdrop-user.mobile > .modal-user {
  /* max-width: 288px; */
  padding: 72px 16px 16px 16px;
}
.terms-conditions {
  display: flex;
  gap: 8px;
  align-items: center;
  line-height: none;
}
.review-form-checkbox-wrapper {
  max-width: 256px;
}
.text-privacy-style {
  max-width: 231px;
}
.modal-user {
  top: 8px;
  left: 16px;
  padding-right: 16px;
  transform: none;
}

/* =========================our skills styles============ */
.our-skills {
  background-color: #ffffff;
  align-items: center;
}
.our-skills > .container {
  margin-bottom: 96px;
  margin-left: auto;
  margin-right: auto;
}
.list-of-our-skills {
  background-color: #ffffff;
  display: flex;
  justify-content: space-between;
  align-items: stretch;
  flex-direction: column;
  gap: 72px;
}
.list-of-our-skills-item {
  /* border: 1px solid #000; */
}
.skills-icon-section {
  display: none;
}
.third-header-skills {
  text-align: center;
  color: #2e2f42;
  font-family: Roboto;
  font-size: 36px;
  font-weight: 700;
  line-height: 1.11;
  letter-spacing: 0.72px;
  text-transform: capitalize;
  margin-bottom: 8px;
}
.text-of-the-paragraphs-skills {
  color: #434455;
  font-family: Roboto;
  font-size: 16px;
  font-weight: 500;
  line-height: 1.5;
  letter-spacing: 0.32px;
  width: 100%;
  align-self: stretch;
}
.list-of-our-skills-item {
  border: 1px solid #000;
}
/* ========================= /our skills styles============ */
/* =========================our team styles============ */
.section-two-our-team {
  background-color: #f4f4fd;
  align-items: center;
}
.section-two-our-team > .container {
  padding-top: 96px;
  padding-bottom: 96px;
  align-items: center;
  margin-left: auto;
  margin-right: auto;
}
.list-of-our-team {
  flex-direction: column;
  display: flex;
  gap: 72px;
  justify-content: space-between;
}
.list-of-our-team-item {
  background-color: #ffffff;
  display: inline-flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: calc((100%-3 * 24px) / 4);
  border-radius: 0px 0px 4px 4px;
  box-shadow: 0px 2px 1px 0px rgba(46, 47, 66, 0.08),
    0px 1px 1px 0px rgba(46, 47, 66, 0.16),
    0px 1px 6px 0px rgba(46, 47, 66, 0.08);
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.third-header-name {
  font-size: 20px;
  font-weight: 500;
  line-height: 1.2;
  letter-spacing: 0.4px;
  color: #2e2f42;
  margin-bottom: 8px;
  text-align: center;
}
.text-of-the-paragraphs-team {
  font-size: 16px;
  text-align: center;
  margin-bottom: 8px;
}
img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.name-position {
  width: 232px;
  padding: 32px 0;
}
.social-links-list {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 24px;
}
.social-links-item {
  width: 40px;
  height: 40px;
  background-color: #4d5ae5;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
}
.link {
  width: 100%;
  height: 100%;
  background-color: #4d5ae5;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.social-links-list .icon {
  fill: #f4f4fd;
}
/* ========================= /our team styles============ */
/*================================== SECTION THREE OUR PORTFOLIO STYLES================================== */
.section-three-our-portfolio > .container {
  background-color: #ffffff;
  padding-top: 96px;
  padding-bottom: 96px;
  margin-left: auto;
  margin-right: auto;
}
.third-header-portfolio {
  font-size: 20px;
  font-weight: 500;
  line-height: 1.2;
  letter-spacing: 0.4px;
  color: #2e2f42;
  margin-bottom: 8px;
}
.text-of-the-paragraphs-portfolio {
  font-size: 16px;
}
.portfolio-list {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 48px;
}
.portfolio-list-item {
  width: 100%;
  background-color: #ffffff;
  display: flex;
  flex-direction: column;
  transition: box-shadow 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
@media screen and (max-width: 1157px) {
  .text-overlay {
    display: none;
  }
}
.application-category-info {
  padding: 32px 16px;
  border: 1px solid #e7e9fc;
  border-top: none;
  box-shadow: 0px 2px 1px 0px rgba(46, 47, 66, 0.08),
    0px 1px 1px 0px rgba(46, 47, 66, 0.16),
    0px 1px 6px 0px rgba(46, 47, 66, 0.08);
}
/*================================== /SECTION THREE OUR PORTFOLIO STYLES================================== */
/*================================== FOOTER STYLES================================== */
.footer {
  background-color: #2e2f42;
  padding: 97.5px 0 96px 0;
}
.container-footer {
  display: flex;
  justify-content: flex-start;
  flex-direction: column;
  align-items: baseline;
  gap: 72px;
  margin-left: auto;
  margin-right: auto;
}

.footer-text {
  color: #f4f4fd;
  max-width: 100%;
}
.media-text-footer {
  text-align: center;
}
.studio-footer {
  color: #f4f4fd;
}
.text-of-the-paragraphs {
  font-size: 16px;
}

.logo-footer {
  color: #4d5ae5;
  font-family: Raleway, sans-serif;
  font-size: 18px;
  font-weight: 700;
  line-height: 1.17;
  letter-spacing: 0.54px;
  text-transform: uppercase;
  margin-bottom: 17.5px;
  display: block;
  text-align: center;
  margin-left: 0;
  margin-right: 0;
}
.links-footer-section {
  display: inline-block;
  align-items: center;
  width: 208px;
  margin: 0 auto;
}
.media-text-footer {
  margin-bottom: 16px;
  color: #ffffff;
  font-family: Roboto;
  font-weight: 500;
  line-height: 1.5;
  letter-spacing: 0.02em;
}
.social-links-list-footer {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 16px;
  flex-wrap: wrap;
}
.social-links-item-footer {
  width: 40px;
  height: 40px;
}
.social-links-list-footer .icon {
  fill: #f4f4fd;
}
.social-links-list-footer .link {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  border-radius: 50%;
  background-color: #4d5ae5;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.subscribe-wrapper {
  display: flex;
  justify-content: center;
  align-items: end;
  flex-direction: column;
  gap: 16px;
  align-items: center;
}
.subscribe-section {
  margin: 0 auto;
  width: 100%;
}
.subscribe-label {
  margin-bottom: 16px;
  color: #fff;
  font-family: Roboto;
  font-weight: 500;
  line-height: 1.5;
  text-align: center;
}
.contact-form-input {
  border-radius: 4px;
  border: 1px solid #ffffff;
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.15);
  padding: 8px 16px 8px 16px;
  background-color: transparent;
  font-size: 12px;
  line-height: 1.5;
  letter-spacing: 0.04em;
  filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.15));
  color: #ffffff;
  width: 288px;
  height: 40px;
}

input::placeholder {
  color: #ffffff;
  font-family: Roboto;
  font-size: 12px;
  font-weight: 400;
  line-height: 2;
  letter-spacing: 0.48px;
}
.subscribe-button {
  padding: 8px 24px 8px 24px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 4px;
  border: none;
  background: #4d5ae5;
  color: #fff;
  text-align: center;
  font-weight: 500;
  line-height: 1.5;
  letter-spacing: 0.64px;
  min-width: 165px;
}

.telegram-icon {
  fill: #4d5ae5;
  border: none;
  width: 100%;
  height: 100%;
  margin-left: 16px;
}

.subscribe-button:hover .telegram-icon {
  fill: #404bbf;
}

/*================================== /FOOTER STYLES================================== */

@media screen and (min-width: 768px) and (max-width: 1157px) {
  .container {
    margin-left: auto;
    margin-right: auto;
    padding: 0 16px;
    max-width: 768px;
  }
  /*================================== HEADER STYLES================================== */
  .burger-wrapper {
    display: none;
  }
  .address-styles {
    display: flex;
  }
  .menu .menu-navigation-list {
    display: flex;
  }
  .container-header {
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    line-height: none;
  }
  .header-section {
    margin-left: auto;
    margin-right: auto;
  }
  .logo-header {
    font-size: 18px;
    font-weight: 700;
    line-height: 1.17;
    letter-spacing: 0.54px;
    text-transform: uppercase;
  }
  .navigation-block {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 120px;
  }

  .logo-header {
    padding: 24px 0;
  }

  .contact-us-list {
    color: #434455;
    display: flex;
    flex-direction: column;
    gap: 12px;
    padding: 16px 0px 16px 0;
    justify-content: space-between;
    align-items: baseline;
  }
  .menu-navigation {
    position: relative;
    color: #2e2f42;
    font-size: 16px;
    font-weight: 500;
    line-height: 1.5;
    letter-spacing: 0.32px;
    padding: 24px 0;
    transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1);
  }
  .active-page {
    color: #404bbf;
    transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1);
  }

  .active-page::after {
    width: 100%;
    height: 4px;
    background-color: #404bbf;
    bottom: -1px;
    left: 0;
    position: absolute;
    display: block;
    content: "";
    border-radius: 2px;
  }
  .contact-us-list-item {
    font-size: 12px;
    font-weight: 400;
    line-height: 1.17;
    letter-spacing: 0.48px;
  }
  .address-styles .contact-us {
    color: #434455;
  }
  .menu {
    gap: 40px;
    display: flex;
    justify-content: space-evenly;
    align-items: baseline;
  }
  /*================================== /HEADER STYLES================================== */

  /* =================================hero SECTION===================================== */
  .hero {
    background-color: #2e2f42;
    text-align: center;
    padding-top: 112px;
    padding-bottom: 112px;
    background-image: linear-gradient(
        to bottom,
        rgba(46, 47, 66, 0.7),
        rgba(46, 47, 66, 0.7)
      ),
      url(../images/hero/hero-pic-tab.jpg);
    background-size: cover;
    background-repeat: no repeat;
    max-width: 768px;
    margin-left: auto;
    margin-right: auto;
    background-repeat: no-repeat;
    background-position: center;
    margin-bottom: 96px;
  }

  .main-header {
    color: #ffffff;
    font-size: 56px;
    height: 120px;
    font-weight: 700;
    line-height: 1.07;
    letter-spacing: 1.12px;
    width: 496px;
    padding: 0;
    text-align: center;
    margin: 0 auto 36px auto;
    display: inline-block;
  }

  .button-style {
    background-color: #4d5ae5;
    display: block;
    cursor: pointer;
    color: #ffffff;
    font-size: 16px;
    font-weight: 500;
    line-height: 1.5;
    letter-spacing: 0.64px;
    min-width: 169px;
    height: 56px;
    border: none;
    border-radius: 4px;
    margin: 0 auto;
    transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
  }

  /* =================================/hero SECTION===================================== */
  /* =================================skills SECTION===================================== */
  .icon-skills {
    display: none;
  }
  .list-of-our-skills {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    gap: 24px;
    row-gap: 72px;
  }
  .list-of-our-skills-item {
    width: calc((100% - 24px) / 2);
    border: 1px solid #000;
  }
  .our-skills {
    padding: 0 15px;
    margin: 0 auto;
  }
  .third-header-skills {
    font-size: 36px;
    font-weight: 700;
    line-height: 1.11;
    letter-spacing: 0.72px;
    text-align: start;
  }
  .text-of-the-paragraphs-skills {
    font-size: 16px;
    font-weight: 500;
    line-height: 1.5;
    letter-spacing: 0.32px;
  }

  /* =================================/skills SECTION===================================== */
  /* =================================our team SECTION===================================== */
  .section-two-our-team {
    padding: 0 92px 0 92px;
    margin: 0 auto;
  }
  .list-of-our-team {
    flex-wrap: wrap;
    flex-direction: row;
    gap: 24px;
    row-gap: 64px;
  }
  .list-of-our-team-item {
    width: calc((100% - 24px) / 2);
  }
  /* =================================/our team SECTION===================================== */
  /* =================================our portfolio SECTION===================================== */
  .section-three-our-portfolio {
    padding: 0;
    margin: 0 auto;
  }

  .portfolio-list {
    flex-wrap: wrap;
    flex-direction: row;
    gap: 24px;
    row-gap: 72px;
    display: flex;
  }
  .portfolio-list-item {
    width: calc((100% - 24px) / 2);
  }

  /* =================================/our portfolio SECTION===================================== */
  /* =================================footer SECTION===================================== */
  .container-footer {
    padding-left: 120px;
    padding-right: 120px;
    display: flex;
    gap: 24px;
    flex-direction: row;
    flex-wrap: wrap;
    row-gap: 72px;
    justify-content: flex-start;
    align-items: flex-start;
  }
  .links-footer-section {
    align-items: flex-start;
    justify-content: flex-start;
  }
  .media-text-footer {
    text-align: start;
  }
  .logo-text-footer {
    display: flex;
    flex-direction: column;
    width: 264px;
    justify-content: flex-start;
    align-items: flex-start;
  }
  .social-links-list-footer {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 16px;
  }
  .media-text-footer {
    margin-bottom: 16px;
  }
  .social-links-item-footer {
    width: 40px;
    height: 40px;
  }
  .contact-form-input {
    margin-right: 24px;
    height: 40px;
    width: 264px;
  }
  .subscribe-button {
    height: 40px;
    width: 165px;
    cursor: pointer;
  }
  .backdrop > .modal {
    display: none;
  }
  .subscribe-section {
    margin: 0;
    text-align: start;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
  }
  .subscribe-wrapper {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
  }
  .backdrop-user > .modal-user {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 408px;
    padding: 72px 25px 24px 25px;
    min-height: 584px;
  }
  .contact-form-input {
    width: 264px;
  }

  .subscribe-section {
    padding: 0;
    text-align: center;
  }
  .terms-conditions {
    display: flex;
    gap: 8px;
    text-align: center;
    line-height: none;
  }

  .backdrop > .modal {
    display: hidden;
  }

  /* =================================/footer SECTION===================================== */
}
@media screen and (min-width: 768px) and (max-width: 1157px) and (min-resolution: 192dpi) {
  .hero {
    background-image: linear-gradient(
        to bottom,
        rgba(46, 47, 66, 0.7),
        rgba(46, 47, 66, 0.7)
      ),
      url(../images/hero/hero-pic-tab@2x.jpg);
  }
}
@media screen and (min-width: 1158px) {
  .container {
    max-width: 1158px;
    margin: 0 auto;
    padding: 0 15px;
  }
  .address-styles {
    display: flex;
  }
  .menu .menu-navigation-list {
    display: flex;
  }

  .burger-wrapper {
    display: none;
  }
  .contact-us-list {
    color: #434455;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: baseline;
    gap: 40px;
  }
  .address-styles {
    color: #434455;
  }

  .contact-us {
    color: #434455;
    transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1);
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 1.5;
    letter-spacing: 0.32px;
  }
  .contact-us:hover {
    color: #404bbf;
  }

  .container-header {
    justify-content: space-between;
    align-items: baseline;
    gap: 332px;
  }
  header {
    border-bottom: 1px solid var(--CORNFLOWER, #e7e9fc);
  }
  .container-header a {
    padding: 24px 0;
  }
  .header-section {
    box-shadow: 0px 2px 1px rgba(46, 47, 66, 0.08),
      0px 1px 1px rgba(46, 47, 66, 0.16), 0px 1px 6px rgba(46, 47, 66, 0.08);
  }
  .logo-header {
    color: #4d5ae5;
    font-family: Raleway, sans-serif;
    font-size: 18px;
    font-weight: 700;
    line-height: 1.17;
    letter-spacing: 0.54px;
    text-transform: uppercase;
    margin-right: 76px;
    transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1);
  }
  .menu-navigation {
    color: #2e2f42;
    font-size: 16px;
    font-weight: 500;
    line-height: 1.5;
    letter-spacing: 0.32px;
    transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1);
    position: relative;
  }
  .active-page {
    color: #404bbf;
    transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1);
  }

  .active-page::after {
    width: 100%;
    height: 4px;
    background-color: #404bbf;
    bottom: -1px;
    left: 0;
    /* top: 20px; */
    position: absolute;
    display: block;
    content: "";
    border-radius: 2px;
  }
  .navigation-block {
    align-items: center;
    display: flex;
  }
  .menu {
    gap: 40px;
    display: flex;
    justify-content: space-evenly;
    align-items: baseline;
  }

  .menu-navigation-list {
    transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1);
  }
  .studio-class {
    color: #2e2f42;
  }
  .menu-navigation:hover,
  .menu-navigation:focus,
  .menu-navigation:active {
    color: #404bbf;
  }
  /*==================================HERO STYLES================================== */
  .hero {
    background-color: #2e2f42;
    text-align: center;
    padding-top: 188px;
    padding-bottom: 188px;
    background-image: linear-gradient(
        to bottom,
        rgba(46, 47, 66, 0.7),
        rgba(46, 47, 66, 0.7)
      ),
      url(../images/hero/hero-pic.jpg);
    background-size: cover;
    background-repeat: no repeat;
    max-width: 1440px;
    background-repeat: no-repeat;
    background-position: center;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 0;
  }

  .main-header {
    color: #ffffff;
    font-size: 56px;
    font-weight: 700;
    line-height: 1.07;
    letter-spacing: 1.12px;
    width: 496px;
    text-align: center;
    margin: 0 auto 48px auto;
    display: block;
    padding: 0;
    height: 120px;
  }

  .button-style {
    background-color: #4d5ae5;
    display: block;
    cursor: pointer;
    color: #ffffff;
    font-size: 16px;
    font-weight: 500;
    line-height: 1.5;
    letter-spacing: 0.64px;
    min-width: 169px;
    height: 56px;
    border: none;
    border-radius: 4px;
    margin: 0 auto;
    transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
  }
  button:hover {
    background-color: #404bbf;
  }

  button:focus {
    background-color: #404bbf;
  }
  /*================================== /HERO STYLES================================== */
  /*==================================SECTION OUR SKILLS STYLES================================== */
  .our-skills {
    padding-top: 120px;
  }
  .list-of-our-skills {
    gap: 24px;
    display: flex;
    justify-content: space-between;
    align-items: stretch;
    flex-direction: row;
    align-items: flex-start;
    text-align: start;
    justify-content: center;
  }
  .list-of-our-skills-item {
    width: calc((100%-3 * 24px) / 4);
    border: none;
    gap: 24px;
  }
  .third-header-skills {
    font-size: 20px;
    font-weight: 500;
    line-height: 1.2;
    letter-spacing: 0.4px;
    color: #2e2f42;
    margin-bottom: 8px;
    text-align: start;
  }
  .text-of-the-paragraphs-skills {
    font-size: 16px;
    width: 100%;
    font-weight: 400;
    text-align: start;
  }

  .skills-icon-section {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 264px;
    height: 112px;
    border-radius: 4px;
    border: 1px solid #8e8f99;
    background-color: #f4f4fd;
    margin-bottom: 8px;
    line-height: none;
  }

  /*==================================/SECTION OUR SKILLS STYLES================================== */
  /*================================== SECTION TWO OUR TEAM STYLES================================== */

  .list-of-our-team {
    gap: 24px;
  }
  .social-links-list .link:hover,
  .social-links-list .link:focus {
    background-color: #404bbf;
  }
  .list-of-our-team {
    display: flex;
    flex-direction: row;
    gap: 24px;
  }

  /*================================== /SECTION TWO OUR TEAM STYLES================================== */
  /*================================== SECTION THREE OUR PORTFOLIO STYLES================================== */

  .portfolio-list-item {
    width: calc((100% - 48px) / 3);
  }
  .image-overlay {
    position: relative;
    overflow: hidden;
  }
  .text-overlay {
    padding: 40px 32px 40px 32px;
    background-color: #4d5ae5;
    color: #f4f4fd;
    width: 296px;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transform: translatey(100%);
    transition: transform 250ms cubic-bezier(0.4, 0, 0.2, 1);
  }

  .portfolio-list-item:hover .text-overlay {
    transform: translate(0);
  }
  .portfolio-list-item:hover {
    box-shadow: 0px 2px 1px 0px rgba(46, 47, 66, 0.08),
      0px 1px 1px 0px rgba(46, 47, 66, 0.16),
      0px 1px 6px 0px rgba(46, 47, 66, 0.08);
  }

  .portfolio-list {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    gap: 24px;
    row-gap: 48px;
  }

  /*================================== /SECTION THREE OUR PORTFOLIO STYLES================================== */
  /*================================== FOOTER STYLES================================== */
  .footer {
    padding: 100px 0;
  }
  .container-footer {
    display: flex;
    justify-content: flex-start;
    flex-direction: row;
    align-items: baseline;
  }
  .logo-text-footer {
    /* margin-right: 120px; */
  }
  .footer-text {
    color: #f4f4fd;
    max-width: 264px;
  }
  .studio-footer {
    color: #f4f4fd;
  }
  .text-of-the-paragraphs {
    font-size: 16px;
  }

  .logo-footer {
    margin-bottom: 16px;
    display: inline-block;
    padding: 0;
  }
  .media-text-footer {
    margin-bottom: 16px;
    text-align: start;
  }
  .social-links-list-footer {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 16px;
    flex-wrap: nowrap;
  }
  .links-footer-section {
    /* margin-right: 80px; */
  }
  .social-links-item-footer {
    width: 40px;
    height: 40px;
  }
  .social-links-list-footer .link:hover,
  .social-links-list-footer .link:focus {
    background-color: #31d0aa;
  }
  .social-links-list-footer .icon {
    fill: #f4f4fd;
  }

  .subscribe-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    gap: 24px;
    margin: 0;
    padding: 0;
  }
  .subscribe-label {
    text-align: start;
  }
  .contact-form-input {
    width: 264px;
    height: 40px;
    border-radius: 4px;
    border: 1px solid #ffffff;
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.15);
    padding: 8px 16px 8px 16px;
    background-color: transparent;
    font-size: 12px;
    line-height: 1.5;
    letter-spacing: 0.04em;
    filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.15));
    color: #ffffff;
  }
  .subscribe-section {
    margin: 0;
    width: auto;
  }

  input::placeholder {
    color: #ffffff;
    font-family: Roboto;
    font-size: 12px;
    font-weight: 400;
    line-height: 2;
    letter-spacing: 0.48px;
  }
  .subscribe-button {
    padding: 8px 24px 8px 24px;
    display: flex;
    justify-content: center;
    gap: 16px;
    align-items: center;
    border-radius: 4px;
    border: none;
    background: #4d5ae5;
    color: #fff;
    text-align: center;
    font-weight: 500;
    line-height: 1.5;
    letter-spacing: 0.64px;
    min-width: 165px;
    cursor: pointer;
  }

  .telegram-icon {
    fill: #4d5ae5;
    border: none;
    width: 100%;
    height: 100%;
    margin-left: 16px;
  }

  .subscribe-button:hover .telegram-icon {
    fill: #404bbf;
  }

  .backdrop .modal {
    display: none;
  }
  /*================================== FOOTER STYLES================================== */
}
/* =================================FORM SECTION===================================== */
@media screen and (min-width: 1158px) and (min-resolution: 192dpi) {
  .hero {
    background-image: linear-gradient(
        to bottom,
        rgba(46, 47, 66, 0.7),
        rgba(46, 47, 66, 0.7)
      ),
      url(../images/hero/hero-pic@2x.jpg);
  }
}

.backdrop-user {
  position: fixed;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background-color: rgba(46, 47, 66, 0.4);
  opacity: 0;
  pointer-events: none;
  z-index: 99999999;
  visibility: hidden;
  transition: opacity 250ms cubic-bezier(0.4, 0, 0.2, 1),
    visibility 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.modal-user {
  position: absolute;
  top: 8px;
  left: 50%;
  transform: translateX(-50%);
  width: 288px;
  margin-left: auto;
  margin-right: auto;
  border-radius: 4px;
  background-color: #fcfcfc;
  /* padding: 72px 24px 24px 24px; */
  border: 1px solid #212121;
  min-height: 584px;
  box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.14), 0px 1px 3px rgba(0, 0, 0, 0.12),
    0px 2px 1px rgba(0, 0, 0, 0.2);
  transition: transform 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
@media screen and (min-width: 1158px) {
  .modal-user {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 408px;
  }
}
@media screen and (min-width: 767px) and (max-width: 1157px) {
  .modal-user {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 288px;
  }
}
.is-open {
  visibility: visible;
  opacity: 1;
  pointer-events: auto;
}
.icon-checkbox-active {
  fill: transparent;
  position: absolute;
  border: 1px solid rgba(46, 47, 66, 0.4);
  border-radius: 2px;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1),
    border 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.checkbox-icon:active {
  background-color: #404bbf;
  fill: #f4f4fd;
  border: none;
}
.close-icon {
  width: 24px;
  top: 24px;
  right: 24px;
  height: 24px;
  border-radius: 50%;
  align-items: center;
  display: flex;
  cursor: pointer;
  border-radius: 50%;
  justify-content: center;
  position: absolute;
  background-color: #e7e9fc;
  border: 1px solid rgba(0, 0, 0, 0.1);
  padding: 0;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1),
    border 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.close-icon:hover,
.close-icon:focus {
  fill: #ffffff;
  border: none;
  background-color: #404bbf;
}
.close-icon-svg {
  transition: fill 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.explanation-of-form-text {
  color: #2e2f42;
  text-align: center;
  font-weight: 500;
  line-height: 1.5;
  letter-spacing: 0.32px;
  margin-bottom: 16px;
  margin-left: auto;
  margin-right: auto;
}
.form-label {
  margin-bottom: 4px;
  color: #8e8f99;
  font-family: Roboto;
  font-size: 12px;
  font-weight: 400;
  line-height: 1.16;
  letter-spacing: 0.48px;
  display: block;
  width: 100%;
  line-height: 1.17;
}

.form-input {
  width: 100%;
  height: 40px;
  border: 1px solid rgba(46, 47, 66, 0.4);
  border-radius: 4px;
  align-items: center;
  padding: 11px 16px 11px 38px;
  background-color: transparent;
  outline: transparent;
  transition: border-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.review-form-field-wrapper {
  margin-bottom: 16px;
}
.review-form-field-message {
  width: 100%;
  height: 120px;
  padding: 8px 16px 8px 16px;
  color: rgba(46, 47, 66, 0.4);
  font-family: Roboto;
  font-size: 12px;
  font-weight: 400;
  line-height: 1.17;
  letter-spacing: 0.04em;
  resize: none;
  border: 1px solid rgba(46, 47, 66, 0.4);
  border-radius: 4px;
  background-color: transparent;
  outline: transparent;
  transition: border-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.review-form-field-message:focus,
.review-form-field-message:hover {
  border-color: #4d5ae5;
}
.input-svg-wrapper {
  margin-bottom: 8px;
}
.input-svg-relative {
  position: relative;
}
.form-input:focus-within {
  border-color: #4d5ae5;
}

.textarea-style {
  padding: 8px 16px 8px 16px;
  width: 100%;
}
.form-input:hover,
.form-input:active,
.form-input:focus {
  border-color: #4d5ae5;
}

.form-input:focus + .input-icon,
.form-input:hover + .input-icon {
  fill: #4d5ae5;
}
.input-icon {
  position: absolute;
  padding: 0;
  left: 16px;
  top: 50%;
  transform: translateY(-50%);
  transition: fill 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

input:placeholder {
  color: #8e8f99;
  font-family: Roboto;
  font-size: 12px;
  font-weight: 400;
  line-height: 1.16;
  letter-spacing: 0.48px;
  opacity: 0.5;
}

.form-button {
  border-radius: 4px;
  background: #4d5ae5;
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.15);
  margin: 0px auto 0px auto;
  padding: 16px 32px 16px 32px;
  display: block;
  cursor: pointer;
  min-width: 169px;
  color: #fff;
  text-align: center;
  font-family: Roboto, sans-serif;
  font-size: 16px;
  font-style: normal;
  font-weight: 500;
  line-height: 1.5;
  letter-spacing: 0.64px;
  width: 105px;
  height: 56px;
  border: none;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

input:checked {
  width: 16px;
  height: 16px;
  stroke-width: 1px;
  stroke: rgba(46, 47, 66, 0.4);
}
.terms-conditions {
  color: #8e8f99;
  font-family: Roboto;
  font-size: 12px;
  font-weight: 400;
  line-height: 1.17;
  letter-spacing: 0.04em;
}
.review-form-checkbox-wrapper {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 24px;
}

.input-checkbox-icon {
  position: relative;
  align-items: center;
  width: 16px;
  height: 16px;
  border-radius: 2px;
  border: 1px solid rgba(46, 47, 66, 0.4);
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1),
    border 250ms cubic-bezier(0.4, 0, 0.2, 1),
    fill 250ms cubic-bezier(0.4, 0, 0.2, 1);
  display: inline-flex;
  align-items: center;
  justify-content: center;
  fill: transparent;
}
.privacy-policy-text {
  color: #4d5ae5;
}
.checkbox-icon {
  cursor: pointer;
}
.terms-conditions-checkbox:checked + .terms-conditions .input-checkbox-icon {
  background-color: #404bbf;
  fill: #f4f4fd;
  border: none;
}
